| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
rader.c File Reference
`#include <stdlib.h>`
`#include <math.h>`
`#include "fftw-int.h"`

Go to the source code of this file.

## Macros
#define | WHEN_DEBUG(a)

## Functions
void | fftw_twiddle_rader (fftw_complex *A, const fftw_complex *W, int m, int r, int stride, fftw_rader_data *d)
void | fftwi_twiddle_rader (fftw_complex *A, const fftw_complex *W, int m, int r, int stride, fftw_rader_data *d)
fftw_plan_node * | fftw_make_node_rader (int n, int size, fftw_direction dir, fftw_plan_node *recurse, int flags)

## Macro Definition Documentation

#define WHEN_DEBUG | ( |  | a | ) |

Definition at line 34 of file rader.c.

## Function Documentation

fftw_plan_node* fftw_make_node_rader | ( | int | n,
|  | int | size,
|  | fftw_direction | dir,
|  | fftw_plan_node * | recurse,
|  | int | flags
| ) |  |

Definition at line 345 of file rader.c.

void fftw_twiddle_rader | ( | fftw_complex * | A,
|  | const fftw_complex * | W,
|  | int | m,
|  | int | r,
|  | int | stride,
|  | fftw_rader_data * | d
| ) |  |

Definition at line 171 of file rader.c.

void fftwi_twiddle_rader | ( | fftw_complex * | A,
|  | const fftw_complex * | W,
|  | int | m,
|  | int | r,
|  | int | stride,
|  | fftw_rader_data * | d
| ) |  |

Definition at line 254 of file rader.c.